static char *opnames[] = {
"",
"",
"LESS",
"GREATEREQ",
"EQUALS",
"NOTEQ",
"LESSEQ",
"GREATER",
"NOT",
"AND",
"OR",
"MINUS",
"PLUS",
"UMINUS",
"MULTIPLY",
"DIVIDE",
"CONCAT",
"ASSIGN_SUBS",
"GETS",
"ASSIGN",
"PRINT",
"IF",
"FOR",
"ENDWHILE",
"ELSE",
"OR_BITS",
"RHS_SUBS",
"XOR_BITS",
"PROC",
"RETURNF",
"RETURNP",
"PRIVATE_INIT_CHECK",
"RIGHT_BRACE_N",
"REPEAT",
"GETC",
"RETURNT",
"APPEND",
"QPRINT",
"OPEN",
"PRINTF",
"ENDFOR_GENERAL",
"IS_AN_OBJECT",
"SQRT",
"LENGTH",
"BADRETURNF",
"PUTS",
"ASSIGN_SLICE",
"RHS_SLICE",
"WHILE",
"ENDFOR_INT_UP",
"ENDFOR_UP",
"ENDFOR_DOWN",
"NOT_BITS",
"ENDFOR_INT_DOWN",
"SPRINTF",
"ENDFOR_INT_UP1",
"ENDFOR_INT_DOWN1",
"AND_BITS",
"PREPEND",
"STARTLINE",
"CLEAR_SCREEN",
"POSITION",
"EXIT",
"RAND",
"FLOOR_DIV",
"TRACE",
"TYPE_CHECK",
"FLOOR_DIV2",
"IS_AN_ATOM",
"IS_A_SEQUENCE",
"DATE",
"TIME",
"REMAINDER",
"POWER",
"ARCTAN",
"LOG",
"SPACE_USED",
"COMPARE",
"FIND",
"MATCH",
"GET_KEY",
"SIN",
"COS",
"TAN",
"FLOOR",
"ASSIGN_SUBS_CHECK",
"RIGHT_BRACE_2",
"CLOSE",
"DISPLAY_VAR",
"ERASE_PRIVATE_NAMES",
"UPDATE_GLOBALS",
"ERASE_SYMBOL",
"GETENV",
"RHS_SUBS_CHECK",
"PLUS1",
"IS_AN_INTEGER",
"LHS_SUBS",
"INTEGER_CHECK",
"SEQUENCE_CHECK",
"DIV2",
"SYSTEM",
"COMMAND_LINE",
"ATOM_CHECK",
"LESS_IFW",
"GREATEREQ_IFW",
"EQUALS_IFW",
"NOTEQ_IFW",
"LESSEQ_IFW",
"GREATER_IFW",
"NOT_IFW",
"GLOBAL_INIT_CHECK",
"NOP2",
"MACHINE_FUNC",
"MACHINE_PROC",
"ASSIGN_I",
"RHS_SUBS_I",
"PLUS_I",
"MINUS_I",
"PLUS1_I",
"ASSIGN_SUBS_I",
"LESS_IFW_I",
"GREATEREQ_IFW_I",
"EQUALS_IFW_I",
"NOTEQ_IFW_I",
"LESSEQ_IFW_I",
"GREATER_IFW_I",
"FOR_I",
"ABORT",
"PEEK",
"POKE",
"CALL",
"PIXEL",
"GET_PIXEL",
"MEM_COPY",
"MEM_SET",
"C_PROC",
"C_FUNC",
"ROUTINE_ID",
"CALL_BACK_RETURN",
"CALL_PROC",
"CALL_FUNC",
"POKE4",
"PEEK4S",
"PEEK4U",
"SC1_AND",
"SC2_AND",
"SC1_OR",
"SC2_OR",
"SC2_NULL",
"SC1_AND_IF",
"SC1_OR_IF",
"ASSIGN_SUBS2",
"ASSIGN_OP_SUBS",
"ASSIGN_OP_SLICE",
"PROFILE",
"XOR",
"EQUAL",
"SYSTEM_EXEC",
"PLATFORM",
"END_PARAM_CHECK",
"CONCAT_N",
"NOPWHILE",
"NOP1",
"PLENGTH",
"LHS_SUBS1",
"PASSIGN_SUBS",
"PASSIGN_SLICE",
"PASSIGN_OP_SUBS",
"PASSIGN_OP_SLICE",
"LHS_SUBS1_COPY",
"TASK_CREATE",
"TASK_SCHEDULE",
"TASK_YIELD",
"TASK_SELF",
"TASK_SUSPEND",
"TASK_LIST",
"TASK_STATUS",
"TASK_CLOCK_STOP",
"TASK_CLOCK_START",
"FIND_FROM",
"MATCH_FROM"
};
